View Issue Details

IDProjectCategoryView StatusLast Update
0008773VALENTINA SERVERSQLite Serverpublic2020-04-24 10:34
ReporterBeatrix WilliusAssigned ToIvan Smahin 
PriorityurgentSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version10.1.x 
Summary0008773: Debugger in Xojo crashes hard when trying to connect to VSQLiteServer
DescriptionRun the attached example in Xojo 2019r3 and Catalina in the debugger. On the line

Connected = db.Connect()

the debugger crashes. EVERY TIME. The crash doesn't occur for High Sierra. Crash log is attached. I've also made a Feedback request (59891). But it's not likely that the bug gets fixed by Xojo in a timely manner.
TagsNo tags attached.

Activities

Ruslan Zasukhin

Ruslan Zasukhin

2020-04-22 09:53

administrator   ~0011223

Ivan:

I was to fast with conserv fixes - some strange crashes happen randomly with that fix.
No idea how correctly implement this, but if you stay conserv untouched and do following:

dim options as string
options = conserv
options = options.DefineEncoding(Encodings.UTF8)
app.db.EmbeddedSerial = options

it works ok.

2)

It is really strange but it works even without options.DefineEncoding(Encodings.UTF8)

It is ok:
--------------
dim options as string
options = conserv
app.db.EmbeddedSerial = options

It is not ok:
--------------
app.db.EmbeddedSerial = conserv
Ivan Smahin

Ivan Smahin

2020-04-24 10:34

manager  

VSqlite.xojo_binary_project (35,872 bytes)

Issue History

Date Modified Username Field Change
2020-04-21 07:50 Beatrix Willius New Issue
2020-04-22 09:53 Ruslan Zasukhin Note Added: 0011223
2020-04-24 10:32 Ivan Smahin Assigned To => Ivan Smahin
2020-04-24 10:32 Ivan Smahin Status new => resolved
2020-04-24 10:32 Ivan Smahin Resolution open => fixed
2020-04-24 10:32 Ivan Smahin Fixed in Version => 10.1.x
2020-04-24 10:34 Ivan Smahin File Added: VSqlite.xojo_binary_project